//
//  CDMeasurement.h
//  CoreDevice
//
//  Created by Alex Cohen on 9/17/09.
//  Copyright 2009 Toomuchspace. All rights reserved.
//

#if defined(TARGET_OS_IPHONE) && TARGET_OS_IPHONE
#import <CDObject.h>
#else
#import <CoreDevice/CDObject.h>
#endif

@class CDMeasurementColor;

@interface CDMeasurement : CDObject {
	NSArray*	cachedColors;
}

@property (readonly,retain) NSString* mode;
@property (readonly,retain) NSArray* colors;
@property (readonly,retain) NSArray* colorSpaces;

- (CDMeasurementColor*)colorWithColorSpace:(NSString*)colorSpace;

@end
