//
//  CDCommand.h
//  CoreDevice
//
//  Created by Alex Cohen on 9/16/09.
//  Copyright 2009 Toomuchspace. All rights reserved.
//

#if defined(TARGET_OS_IPHONE) && TARGET_OS_IPHONE
#import <CDObject.h>
#else
#import <CoreDevice/CDObject.h>
#endif

@class CDReceipt;

@interface CDCommand : CDObject {

}

@property (readonly,retain) NSString* name;
@property (readonly,retain) CDReceipt* receipt;
@property (retain) NSData* data;

- (id)initWithName:(NSString*)name;

- (NSString*)argumentForKey:(NSString*)key;
- (void)setArgument:(NSString*)argument forKey:(NSString*)key;

- (void)setDataFromFilename:(NSString*)filename;

@end


